var debug = 0; // Debug mode

$(function () {
	'use strict';

	$(document).on('click', 'a[href^="#"]', function (event) {
    event.preventDefault();

    $('html, body').animate({
        scrollTop: $($.attr(this, 'href')).offset().top-100
			}, 800);
		});

		var p = new Parallax('.parallax', {}).init()


			var swiper = new Swiper('.swiper-lands', {
				slidesPerView: 3,
				spaceBetween: 10,
				cssMode: false,
				autoplay: true,
				loop: true,
				speed: 500,
				centeredSlides: false,
				navigation: {
					nextEl: '.swiper-lands-next',
					prevEl: '.swiper-lands-prev',
				},

				breakpoints: {
					 "@0.00": {
						 slidesPerView: 1,
						 spaceBetween: 10,
						 pagination: false,
						 speed: 1000,
						 autoplay: {
							 delay: 4500,
							 disableOnInteraction: true,
						 },
					 },

					 "@0.50": {
						 slidesPerView: 1,
						 spaceBetween: 0,
					 },

					 "@0.75": {
						 slidesPerView: 2,
						 spaceBetween: 20,
					 },
					 "@1.00": {
						 slidesPerView: 3,
						 spaceBetween: 40,
					 },
					 "@1.50": {
						 slidesPerView: 3,
						 spaceBetween: 15,
					 },
			 	},
			});

		var swiper = new Swiper('.about-park', {
			slidesPerView: 1,
			spaceBetween: 0,
			autoplay: false,
			loop: true,
			centeredSlides: false,
			pagination: {
					 el: ".swiper-pagination",
					 type: "fraction",
				 },
			navigation: {
				nextEl: '.swiper-button-next',
				prevEl: '.swiper-button-prev',
			},
		});

		var swiper = new Swiper('.slider-categories', {
			slidesPerView: 3,
			spaceBetween: 0,
			autoplay: false,
			loop: true,
			centeredSlides: false,
			pagination: {
					 el: ".swiper-pagination",
					 type: "fraction",
				 },
			navigation: {
				nextEl: '.swiper-button-next',
				prevEl: '.swiper-button-prev',
			},

		});

		var swiper = new Swiper('.slider-categories', {
			slidesPerView: 3,
			spaceBetween: 0,
			autoplay: false,
			loop: true,
			centeredSlides: false,
			pagination: {
					 el: ".swiper-pagination",
					 type: "fraction",
				 },
			navigation: {
				nextEl: '.swiper-button-next',
				prevEl: '.swiper-button-prev',
			},

		});
	});

	jQuery(document).ready(function(){

   jQuery('input,textarea').focus(function(){
       jQuery(this).data('placeholder',jQuery(this).attr('placeholder'))
              .attr('placeholder','');
    }).blur(function(){
       jQuery(this).attr('placeholder',jQuery(this).data('placeholder'));
    });

});
